Subject: [Ietf-calsify] Section 4.1 Content Lines: NON-US-ASCII

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Mon Aug 21 20:50:36 2006

In section 4.1 Content Lines of RFC 2445 it says:

 >     NON-US-ASCII       = %x80-F8
 >     ; Use restricted by charset parameter
 >     ; on outer MIME object (UTF-8 preferred)

Unless I'm mistaken, the characters %xF9 to %xFD are allowed in UTF-8.

At a minimum this should be:

 >     NON-US-ASCII       = %x80-FD
or
 >     NON-US-ASCII = UTF8-2 / UTF8-3 / UTF8-4
 >     ; UTF8-2, UTF8-3, and UTF8-4 are defined in RFC 3629.

and if we agree to support ISO-8859-1, then it should be:

 >     NON-US-ASCII       = %x80-FF

Cheers,
Bernard

---

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Tue Aug 22 18:17:13 2006

> Unless I'm mistaken, the characters %xF9 to %xFD are allowed in UTF-8.

It seems I was mistaken.

I had come to this quick conclusion by reading the following
statement in RFC 2279:

- The octet values FE and FF never appear.

But RFC 3629 which obsoletes RFC 2279 specify has the following
statement instead:

- The octet values C0, C1, F5 to FF never appear.

As such, the NON-US-ASCII rule should be:

   NON-US-ASCII       = %x80-BF / %xC2-F4

Cheers,
Bernard

> _______________________________________________
> Ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify